package main

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestSendMessageSample1(t *testing.T) {
	msg, err := ReadSendMessageRequest("input_sample1.json")
	assert.Nil(t, err)
	assert.NotNil(t, msg)
	assert.EqualValues(t, "1", msg.ChatID)
	assert.IsType(t, ReplyMarkup{}, msg.ReplyMarkup)
}

func TestSendMessageSample2(t *testing.T) {
	msg, err := ReadSendMessageRequest("input_sample2.json")
	assert.NotNil(t, err)
	assert.Nil(t, msg)
	assert.Equal(t, "chat_id is empty", err.Error())
}
